org.apache.avro.grpc

## Class AvroInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.avro.grpc.AvroInputStream

All Implemented Interfaces:
  io.grpc.Drainable, Closeable, AutoCloseable

    public abstract class AvroInputStream
    extends InputStream
    implements io.grpc.Drainable

An `InputStream` backed by Avro RPC request/response that can drained to a`OutputStream`.

### Nested Class Summary

Nested Classes
`protected static class` `AvroInputStream.CountingOutputStream` An `OutputStream` that writes to a target `OutputStream` and provides total number of bytes written to it.

### Constructor Summary

Constructors
Constructor and Description
`AvroInputStream()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ByteArrayInputStream` `getPartial()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.grpc.Drainable

`drainTo`

### Constructor Detail

#### AvroInputStream

    public AvroInputStream()

### Method Detail

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### getPartial

    protected ByteArrayInputStream getPartial()